PDA

View Full Version : Question on updating...



Metal8762
28th October 2007, 05:49 PM
Hello everyone,

I'm new to Fedora and the linux world, I'm enjoying it very much (better than MS). Anyhow, I went to update my software and I got the following error:


Missing Dependency: libx264.so.54()(64bit) is needed by package gstreamer-plugins-bad
Missing Dependency: libdts.so.0()(64bit) is needed by package mplayer
Missing Dependency: libdts.so.0()(64bit) is needed by package mplayer-gui

How do I correct this problem? Thanks.

jdeslip
29th October 2007, 01:10 AM
Can you tell me where you got mplayer and gstreamer-plugins-bad from? I.e. did you install an extra yum repository to get those installed? (i.e. livna or freshrpms perhaps?)

Metal8762
29th October 2007, 02:03 PM
Can you tell me where you got mplayer and gstreamer-plugins-bad from? I.e. did you install an extra yum repository to get those installed? (i.e. livna or freshrpms perhaps?)

I got them from freshrpms.

jdeslip
29th October 2007, 06:18 PM
Well, my *guess* is that you are trying to use both the livna and freshrpms repos?? Which have a tendency to confilict with eachother. Is libdca from livna the thing that is trying to be updated? If this is this the case, doing 'yum update --disablerepo=livna' might fix the problem temporarily.

Metal8762
30th October 2007, 12:20 PM
Yeah, I installed both.

jdeslip
31st October 2007, 01:40 AM
Hmm, well that is likely the problem. I would install all the packages from one of them and then get them back from the remaining repo if possible. You might just start by removing those three package "yum remove" and see it what it takes out with it and get them back from the repo you want to stick with.